# Uses of Package
org.apache.velocity.runtime.directive

Packages that use org.apache.velocity.runtime.directive
Package
Description
org.apache.velocity.runtime
org.apache.velocity.runtime.directive
org.apache.velocity.runtime.directive.contrib
org.apache.velocity.runtime.parser
org.apache.velocity.util

Classes in org.apache.velocity.runtime.directive used by org.apache.velocity.runtime
Class
Description
Directive
Base class for all directives used in Velocity.
Macro.MacroArg
MacroArgs holds the information for a single argument in a macro definition.
VelocimacroProxy
VelocimacroProxy.java a proxy Directive-derived object to fit with the current directive system
Classes in org.apache.velocity.runtime.directive used by org.apache.velocity.runtime.directive
Class
Description
Block
Directive that puts an unrendered AST block in the context under the specified key, postponing rendering until the reference is used and rendered.
Directive
Base class for all directives used in Velocity.
DirectiveConstants
Base class for all directives used in Velocity.
InputBase
Base class for directives which do input operations (e.g.
Macro.MacroArg
MacroArgs holds the information for a single argument in a macro definition.
Scope
This handles context scoping and metadata for directives.
Scope.Info
Class to encapsulate and provide access to info about the current scope for debugging.
Classes in org.apache.velocity.runtime.directive used by org.apache.velocity.runtime.directive.contrib
Class
Description
Directive
Base class for all directives used in Velocity.
DirectiveConstants
Base class for all directives used in Velocity.
Foreach
Foreach directive used for moving through arrays, or objects that provide an Iterator.
Classes in org.apache.velocity.runtime.directive used by org.apache.velocity.runtime.parser
Class
Description
Directive
Base class for all directives used in Velocity.
Classes in org.apache.velocity.runtime.directive used by org.apache.velocity.util
Class
Description
Directive
Base class for all directives used in Velocity.